<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSipRealmReq StructType
 * @subpackage Structs
 */
class AddSipRealmReq extends APIRequest
{
    /**
     * The sipRealm
     * @var XSipRealm
     */
    public $sipRealm;
    /**
     * Constructor method for AddSipRealmReq
     * @uses AddSipRealmReq::setSipRealm()
     * @param XSipRealm $sipRealm
     */
    public function __construct(XSipRealm $sipRealm = null)
    {
        $this
            ->setSipRealm($sipRealm);
    }
    /**
     * Get sipRealm value
     * @return XSipRealm|null
     */
    public function getSipRealm()
    {
        return $this->sipRealm;
    }
    /**
     * Set sipRealm value
     * @param XSipRealm $sipRealm
     * @return AddSipRealmReq
     */
    public function setSipRealm(XSipRealm $sipRealm = null)
    {
        $this->sipRealm = $sipRealm;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSipRealmReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
